/*
   (c) 2021 Christian Grieger
   GNU GENERAL PUBLIC LICENSE
*/

#include <VehicleLight.h>

VehicleLight::VehicleLight (byte ledPin1, byte ledPin2)
{
  pin1 = ledPin1;
  pin2 = ledPin2;

  pinMode(pin1, OUTPUT);
  pinMode(pin2, OUTPUT);

  digitalWrite(pin1, HIGH);
  digitalWrite(pin2, LOW);

  nextBlink = (long)millis() + 500;
}

void VehicleLight::update()
{
  if ((long)millis() - nextBlink >= 0) {
    digitalWrite(pin1, !digitalRead(pin1));
    digitalWrite(pin2, !digitalRead(pin2));
    nextBlink = (long)millis() + 500;
  }
}
